#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		_firmwarepath	%{_libdir}/firmware
#-----------------------------------------------------------------------------
Name		:	broadcom-bt-firmware
Version		:	12.0.1.1105_p3
Release		:	16.2.0.rel%{?dist}
Summary		:	Firmware of Broadcom WIDCOMM® Bluetooth devices

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Proprietary, only for exclusive uses of BROADCOM products and MIT
URL		:	https://github.com/winterheart/broadcom-bt-firmware

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Requires(post)	:	gawk
Requires(post)	:	usbutils

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
This package provides the firmware of Broadcom WIDCOMM® Bluetooth 
devices (including BCM20702, BCM20703, BCM43142 chipsets and other) 
for Linux kernel. Since February 2017, Broadcom ships their drivers directly 
to Windows Update service. 

#-----------------------------------------------------------------------------
%files			
%license LICENSE.*
%defattr(-,root,root,-)
%{_sysconfdir}/bluetooth/audio.conf
%{_firmwarepath}/brcm/*

#-----------------------------------------------------------------------------
%postun
if [ -f %{_firmwarepath}/brcm/BCM.hcd ]; then
  %{__rm} -f %{_firmwarepath}/brcm/BCM.hcd
fi

%post
# Start the magic
tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

pushd ${tmp} > /dev/null

A=$(lsusb | grep -i 'ID' | awk -F 'ID ' '{print $2}' | sed 's/:/-/g' | awk '{print $1}' > listID )
B=$( ls -1 %{_firmwarepath}/brcm/ > installedID )

file=listID
while IFS= read -r line
  do
  # display $line or do something with $line
  if [ $( cat installedID | grep -c -i "$line" ) -gt 0 ] ; then
    cp -f %{_firmwarepath}/brcm/BCM*-$line.hcd %{_firmwarepath}/brcm/BCM.hcd  
    fi
  done <"$file"

popd > /dev/null

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_firmwarepath}
%{__cp} -rf brcm/ %{buildroot}%{_firmwarepath}

# Why the latest kernel in Fedora requires a BCM.hcd?
touch %{buildroot}%{_firmwarepath}/brcm/BCM.hcd

# You can use your computer's speakers as a bluetooth headset
%{__mkdir_p} %{buildroot}%{_sysconfdir}/bluetooth
cat >> %{buildroot}%{_sysconfdir}/bluetooth/audio.conf << "EOF"
[General]
Enable=Source,Sink,Media,Socket,Headset
EOF

#prepare license directory
%{__mkdir_p} %{buildroot}%{_datadir}/licenses/%{name}-%{version}

#-----------------------------------------------------------------------------
%changelog
